> For the complete documentation index, see [llms.txt](https://docs.ubiquity.co.nz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail.md).

# Mail

- [Run an automated mailout immediately.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/run-an-automated-mailout-immediately.md)
- [Get a list of automated mailouts with optional filtering.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-automated-mailouts-with-optional-filtering.md)
- [Get a list of automated mailout folders.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-automated-mailout-folders.md)
- [Get a list of recipients for an automated mailout.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-recipients-for-an-automated-mailout.md)
- [Get a list of events for an automated mailout.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-events-for-an-automated-mailout.md)
- [Get a summary of automated mailout statistics for specified IDs or tags.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-summary-of-automated-mailout-statistics-for-specified-ids-or-tags.md)
- [Get a list of mailouts with optional filtering.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-mailouts-with-optional-filtering.md)
- [Get a list of mailout folders.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-mailout-folders.md)
- [Get a list of recipients for a mailout.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-recipients-for-a-mailout.md)
- [Get a list of events for a mailout.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-events-for-a-mailout.md)
- [Render an email template for a list of contacts.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/render-an-email-template-for-a-list-of-contacts.md)
- [Get a rendered preview of an email template for a contact.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-rendered-preview-of-an-email-template-for-a-contact.md)
- [Get a list of all email templates.](https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail/get-a-list-of-all-email-templates.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ubiquity.co.nz/documentation/data-and-integrations/api/api-reference/mail.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
